@import url("https://use.typekit.net/bvv0wnk.css");

@import url('https://fonts.googleapis.com/css2?family=Reenie+Beanie&display=swap');

/*************************************** ALLGEMEIN ***************************************/
*, *::before, *::after {
  box-sizing: border-box;
}


body{
  background-color: #FAF7F7;
  font-family: nobel, sans-serif;
  font-style: normal;
  font-size: 1rem;
  -webkit-tap-highlight-color: transparent; /* for iOS */
  -webkit-touch-callout: none;              /* disables callout menu on long press */
  touch-action: manipulation;               /* improves responsiveness */
}

.container{
  padding-left: 0px;
  padding-right: 0px;
}

.container.grid-lg{
  max-width: none;
}



p, ul li{
  font-family: nobel, sans-serif;
  font-weight: 200;
  font-style: normal;
  font-size: 1rem;
}


h1{
  font-family: "lust-stencil", serif;
  font-weight: 500;
  font-style: normal;
  font-size: 1.8rem;
  line-height: 2.6rem;
  color: #000;
}

h1 span{
  border: 0px solid transparent;
  padding: 0px 2px 0px 2px;
  border-bottom-width: 10px;
  height: 1.4em;
  border-image: url(border.png) 30 stretch;
}



h2{
  font-family: "lust-stencil", serif;
  font-weight: 500;
  font-style: normal;
  font-size: 1.3rem;
  line-height: 2.6rem;
  color: #CA5C4D;
}


h3{
  font-family: "lust-stencil", serif;
  font-weight: 500;
  font-style: normal;
  font-size: 1rem;
  color: #CA5C4D;
}

h4{
  font-family: "lust-stencil", serif;
  font-weight: 500;
  font-style: normal;
  font-size: 1.5rem;
  color: #CA5C4D;
}



a{
  color: inherit;
  text-decoration: none;
}


a:hover{
  color: #CA5C4D;

}

button{
  background-color: #CA5C4D;
  color: #FAF7F7;
  border-radius: 40px;
  padding: 0.7em 1.7em 0.5em 1.7em;/*10px 30px 7px 30px;*/
  font-family: "lust-stencil", serif;
  font-weight: 300;
  font-style: normal;
  font-size: 0.7rem;
  border: 0;
  margin-right: 5px;
  margin-top: 10px;
}



button:hover, button:focus, button:active{
  background-color: #d19671;
  cursor: pointer;
}


section #starter, section #intro, section #contact, section #contact-intro, section #form-wrapper, section #form-data, section #forms, section #starter-formdata, section #angebot, section #impressions, section #formdata{
  padding: 10%;
  padding-bottom: 5%;
  padding-top: 5%;
}


.navbar-section.desktop-menu{
  display: none;
}

#lightbox-close{
  position: absolute;
  top: 10px;
  right: 10px;
  background: #BED8E9;
  border: none;
  color: white;
  padding: 8px 14px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 50%;
  z-index: 1000;
}


#popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 3%;
    width: 90%;
    max-width: 600px;
    background: #fad5d6;
    border-radius: 2rem;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
    z-index: 1000;
    text-align: center;
    background-image: url(https://pallinagelato.de/start/img/pallina-gelato-frankfurt-granita-ragazzi.png);
    background-size: 80%;
    background-repeat: no-repeat;
    background-position: 150% 20%;
  }

  #popup h2 {
    margin-bottom: 10px;
    color: #e73939;
  }

  #popup p {
    line-height: 1.4;
  }


  #popup button{
    background-color: #e73939;
  }

  #overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 999;
  }

  /* Mobile extra Anpassung */
  @media (max-width: 480px) {
    #popup {
      padding: 16px;
    }
  }
/************************************** START *********************************/

#start{
  overflow: hidden;
}

#starter{
  height: 100vH;
  width: 100%;
  background-size: contain;
  background-position: bottom right;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-top: 5vH;
}


#start-text{
  width: 30%;
}


#starter-bild{
  width: 60%;
  height: 70vH;
  position: relative;
  object-fit: cover;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  align-content: flex-end;
}

#starter-bild-ueber{
  justify-content: flex-end;
}


#starter-bild-big{
  object-fit: cover;
  width: 60%;
  height: auto;
  border-top-right-radius: 50% 30%;
  border-top-left-radius: 50% 30%;
  overflow: hidden;
  z-index: 4;
  display: flex;
  align-items: flex-end;
  align-self: flex-end;
  }

#starter-bild-small{
align-self: center;
width: 30%;
aspect-ratio: 1 / 1;
position: relative;
right: -7vW;
top: -10vH;
}

#starter-bild-small img{
  min-height: 100%;
}

#circle-background{
  width: 75%;
  position: absolute;
  bottom:-15vH;
  left: 15vW;
  z-index: 3;
}

.eis{
  background-color: #CA5C4D;
  width: 7rem;
  height: 7rem;
  border-radius: 50%;
  position: absolute;
  bottom: -5rem;
  right: -2rem;
}

.eis-2{
  width: 2rem;
  height: 2rem;
  top: -3rem;
  left: 4rem;
  position: absolute;
  border-radius: 50%;
  background-color: #BED8E9;
}

.eis-3{
  width: 2.5rem;
  height: 2.5rem;
  top: 1rem;
  right: 6rem;
  position: absolute;
  border-radius: 50%;
  background-color: #d19671;
}

/**************************************** INTRO *******************************/

section#intro{
  padding-top: 20vH;
  padding-bottom: 10vH;
  display: flex;
  justify-content: space-between;
  align-items: stretch;
}


#intro-container{
  width: 70%;
}

#intro-image{
  width: 20%;
  display: flex;
  flex-direction: column;
  position: relative;
  justify-content: space-between;
}
#intro-image .eis, #intro-image .eis-2, #intro-image .eis-3{
  position: relative;
  top: 0;
  left: 0;
  right:0;
  bottom: 0;
}
#intro-image .eis{
  width: 2rem;
  height: 2rem;
  position: relative;
  left: 7vW;
  top:14vH;
}
#intro-image .eis-2{
  position: relative;
  left: 100%;
  top: 1vH;
  width: 4rem;
  height: 4rem;
}

#image-1{
  position: relative;
  right: -8vW;
  top: 0;
  width: 100%;
}
#image-2{
  width: 50%;
  position: relative;

}

#image{
  width: 100vW;
  display: flex;
  justify-content: space-between;
  padding-left: 10vW;
}

#breaker{
  width: 75%;
  background-color:#BED8E9;
  height: 15rem;
  border-radius: 15rem;
  position: absolute;
  right: -20rem;
  z-index: 1
}

#intro-image2{
  width: 60%;
  position: relative;
  border-radius: 3rem;
  border: 10px solid green;
  object-fit: cover;
  margin-top: 20vH;
  z-index: 0;
}



/****************************** ANGEBOT ******************************/


.angebot-img img{
  width: 77%;
  margin: 1.1rem;
  padding-top: 0.5rem;
}

.angebot{
  position: relative;
  max-width: 180px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  overflow: visible !important;
  left: -10%;
}

.angebot textPath, .angebot text{
  font-family: 'lust-stencil', serif;
  font-size: 0.9rem;
}

.angebot:nth-of-type(2), .angebot:nth-of-type(4){
  align-self: flex-end;
  left: 20%;
}

.angebot svg{
  position: absolute;
  top: 0;
  right: 0;
  margin: 0;
  overflow: visible !important;
}

.angebot svg path{
  fill: none !important;
}
/***************************************** IMPRESSION ***************************************/
#impressions{
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: space-between;
  width: 100%;
  height: calc(32vW * 1.5);
  overflow: hidden;
  margin: 0;
   -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;

}

.impression-start{
  width: 30%;
  position: relative;
  overflow: visible;
}

#impression-bild-big{
  object-fit: cover;
  border-top-right-radius: 50% 30%;
  border-top-left-radius: 50% 30%;
  overflow: hidden;
  z-index: 4;
  display: flex;
  align-items: flex-end;
  align-self: flex-end;
}

#impression-svg{
  position: absolute;
  top: 0;
  overflow: visible;
  width: 104%;
  height: 104%;
  top: -2%;
  left: -2%;
}
#impression-svg svg{
  overflow: visible;
}

#impression-svg svg path{
  fill: red !important;
}

#impression-svg text{
  font-family: 'lust-stencil', serif;
  font-size: 6rem;
  color: #000;
}

#impressions-text-mobile{
  display: none;
}


/* Try hovering and changing the height/width */

#impressions-right{
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  width: 65%;
  height: 100%;
  gap: 5%;
}

#mz-gallery-container {
  position: relative;
  left: 2vW;
  bottom: 2vH;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 53%;
  background-image: url('http://test.pallinagelato.de/de/pallina-events/img/Pallina-gelato-lines.png');
  background-repeat: repeat;
  background-size: cover;
  border-radius: 2.2rem;
  bottom: 4%;
}

#mz-gallery {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 5%;
  background-color: #FAF7F7;
  border: 2px solid #BED8E9;
  border-radius: 2rem;
  clip-path: inset(0 round 2rem);
  overflow-x: auto;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
  max-width: 100vw;  /* <-- Safari darf nicht denken, er darf breiter als Viewport sein */
  box-sizing: border-box;
  white-space: nowrap;
  scroll-snap-type: x mandatory;
  scroll-padding: 0 0 0 55px;
  scroll-behavior: smooth;
  /* firefox scrollbar */
  scrollbar-color: #BED8E9 rgba(255, 255, 255, 0);
  scrollbar-width: auto;
  padding: 5% 5%;
  right: 2vW;
  top: 2vH;


}

#mz-gallery::-webkit-scrollbar {
  height: 4px;
  width: 90%;
  border-radius: 8px;
}

#mz-gallery::-webkit-scrollbar-track {
  background: transparent;
}

#mz-gallery::-webkit-scrollbar-thumb {
  background: #BED8E9;
}

#mz-gallery::-webkit-scrollbar-thumb:hover {
  background: #BED8E9;
}

#mz-gallery::-webkit-scrollbar-thumb:active {
  background: #BED8E9;
}

#mz-gallery figure {
  position: relative;
  margin: unset;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex: 0 0 auto;
  height: 100%;
  width: auto;
  min-height: 100px;
  margin-right: 0;
  scroll-snap-align: start;
  transition: all 0.3s ease-in-out;
  max-width: fit-content;
}

#mz-gallery figure div {
  position: absolute;
  width: 1%;
  height: 1%;
  background: transparent;
  opacity: 0;
  transition: all 0.3s ease-in-out;
}

#mz-gallery figure div:nth-child(3) {
  top: 0;
  left: 0;
  border-left: 1px dotted #CA5C4D;
  border-top: 1px dotted #CA5C4D;
  border-radius: 15px 0px 0px 0px;
}

#mz-gallery figure div:nth-child(4) {
  top: 0;
  right: 0;
  border-top: 1px solid white;
  border-right: 1px solid white;
  border-radius: 0px 15px 0px 0px;
}

#mz-gallery figure div:nth-child(5) {
  bottom: 0;
  right: 0;
  border-right: 1px solid #CA5C4D;
  border-bottom: 1px solid #CA5C4D;
  border-radius: 0px 0px 15px 0px;
}

#mz-gallery figure div:nth-child(6) {
  bottom: 0;
  left: 0;
  border-bottom: 1px solid white;
  border-left: 1px solid white;
  border-radius: 0px 0px 0px 15px;
}

#mz-gallery figure img {
  height: 100%;
  width: auto;
  border-radius: 5px;
  opacity: 1;
  outline: 1px solid transparent;
  outline-offset: -10px;
  transition: all 0.3s ease-in-out;
  max-width: 100%; /* unbedingt setzen */
box-sizing: border-box;
}


#mz-gallery figure:hover img {
  height: calc(100% - 20px);
  border-radius: 10px;
  outline: 1px solid rgba(255, 255, 255, 0.8);
  outline-offset: 5px;
  transition: all 0.3s ease-in-out;
}

#mz-gallery figure:hover {
  padding: 0px 10px;
}

#mz-gallery figure:hover div {
  width: 25%;
  height: 25%;
  opacity: 1;
  transition: all 0.3s ease-in-out;
}

@media (max-width: 1200px) {
  #mz-gallery figure {
    scroll-snap-align: center;
  }
  #mz-gallery {
    scroll-padding: 0px 0px 0px 0px !important;
  }
}

@media (max-width: 610px) {
  #mz-gallery {
    max-height: 320px;
  }
  #mz-gallery figure {
    margin-right: 20px;
  }
  #mz-gallery figure:nth-child(1) {
    margin-left: 20px;
  }
}



@media (max-height: 340px) {
  #mz-gallery {
    background-size: 30px 30px;
    scroll-padding: 0 0 0 28px;
  }
}

@media (max-height: 280px) {
  #mz-gallery::-webkit-scrollbar {
    height: 20px;
  }
  #mz-gallery::-webkit-scrollbar-button:single-button:horizontal:decrement,
  #mz-gallery::-webkit-scrollbar-button:single-button:horizontal:increment {
    width: 80px;
    height: 20px;
    background-size: 15px;
  }
}

@media (max-height: 230px) {
  #mz-gallery figure:hover img {
    outline-offset: 10px;
  }
}

@media (max-height: 165px) {
  #mz-gallery {
    scroll-padding: 0 0 0 18px;
    margin: 0px;
  }
}

/* touch screen devices */

@media (pointer: coarse) {
  #mz-gallery * {
    pointer-events: none;
  }
  #mz-gallery::-webkit-scrollbar {
    height: 35px;
  }
  #mz-gallery {
    scroll-snap-type: unset;
    scroll-padding: unset;
    scroll-behavior: unset;
  }
  #mz-gallery figure {
    scroll-snap-align: unset;
  }
}




/*************************************** Eissorten ***********************************/
.eissorten-container {
  stroke: #bfd7e9;
  stroke-miterlimit: 10;
  stroke-width: 3px;
}

.eissorte{
  width: 10%;
}

.eissorte textPath{
  font-size: 1.5rem;
}

.eissorten-aktuell{
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex-wrap: wrap;
}

.liste-eissorten li {
  list-style-image: url(https://pallinagelato.de/start/img/pallina-gelato-frankfurt-eisdiele-cone.svg);
  padding-inline-start: 0.6ch;
}

.liste-eissorten li::marker{
   font-size: 3em;
   line-height: 0.3;
}

.liste-eissorten li span{
  vertical-align: 0.4em;
}

.liste-eissorten #list-empty{
  display: block;
  margin-left: -1.6rem;
  border-left: 3px solid #bfd7e9;
  padding: 0.2rem 0.5rem;
  margin-top: 0.8rem;
}

.liste-eissorten .vegan-icon{
  top: -0.6em;
  width: 0.7em;
  margin-left: 0.1em;
}


button.button_standort.active, button.button_standort:hover, button.button_standort:focus{
  background-color: #bfd7e9;
  color: #fff;
}

button.button_standort{
  background-color: #FAF7F7;
  color: #bfd7e9;
  border: 2px solid #bfd7e9;
  font-kerning: auto;
  letter-spacing: 0.05em;
  font-size: 0.75rem;
}

#liste-glauburgstrasse{
  display: none;
}

/******************************************** CONTACT ********************************/

section #contact{
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
}


section #contact-intro, section #qualities, section #forms{
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
}




#mapFahrgasse, #mapNordend{
  width: 100%;
  height: 45vH;
  border-radius: 50px;
  overflow: hidden;
  border: 2px solid #BED8E9;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 5%;
  text-align: center;
}

.adress-one{
  width: 48%;
}

.contact-intro{
  width: 100%;
  margin-bottom: 1rem;
}


#map-big{
  width: 100%;
  height: 60vH;
  border-radius: 50px;
  overflow: hidden;
  margin-top: 5rem;
}


#contact-details{
 width: 100%;
 padding: 3%;
 padding-top: 6%;
}


#contact-1, #contact-2{
  width: 47%;
}


#contact-1 div, #contact-2 div, #contact-details div{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 2rem;
}


#contact-1 p, #contact-2 p, #contact-details p{
  margin: 0;
}


#contact-1 img, #contact-2 img, #contact-details img{
  max-height: 2rem;
  max-width: 1.5rem;
  margin-right: 1rem;
}


canvas {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
}


/*********************************** FOOTER ****************************************/


#footer{
  width: 100%;
  padding: 50px 10%;
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
  border-top: 2px solid #BED8E9;
}


#legal a{
  color: #000;
}


.footer-info{
  width: 23%;
  height: auto;
}

#logo-footer{
  width: 67%;
}


#legal{
  background-color: #BED8E9;
  text-align: center;
  padding: 20px;
}


svg{
  margin-right: 10px;
}

#footer svg path{
  fill:#bed8e9;
}

#footer svg path:hover{
  fill:#CA5C4D;
}





/************************************** FORM *******************************/
/*
section #form{
  padding: 10%;
}

form{
  width: 100%;
  display:flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.form-field{
  width: 47%;
}
.form-field:first-of-type, .form-field:nth-of-type(9), .form-field:nth-of-type(10){
  width: 100%;
}
.button-wrapper{
  width: 100%;
}

#form1, #form2 {
  margin-top: 30px;
}

.form-field{
  margin-top: 20px;
}

#events-anfrage .form-input{
  border: 0px;
  font-weight: 200;
}

#events-anfrage .form-label{
  font-weight: 400;
}
#events-anfrage .form-radio, #events-anfrage .form-checkbox{
  font-weight: 200;
  display: inline-block;
}
#events-anfrage .radio{
  display: inline-block;
  margin-right: 2rem;
}
form .btn{
  background: #000;
  border: 2px solid #000;
  color: #fff;
  border-radius: 2rem;
  padding-left: 1rem;
  padding-right: 1rem;
}

form .btn:hover, form .btn:nth-of-type(2){
  background: #fff;
  color: #000;
  border: 2px solid #000;
}


form .btn:nth-of-type(2):hover{
  background-color: #BED8E9;
  border: 2px solid #BED8E9;
}

#starter.starter-formdata{
  background-image: url(http://pallinagelato.de/pallina-events/anfrage-uebersicht/img/Pallina-Gelato-Events-Frankfurt-background.jpg);
  background-size: cover !important;
  margin-top: 0px !important;
  align-items: flex-end;
  height: auto;
  padding-top: 30vH;
}

.starter-formdata #start-text{
  width: 60%;
  background: #FAF7F7;
  border: 2.5px solid #BED8E9;
  border-radius: 2.5rem;
  padding: 5%;
  padding-bottom: 3%;
}

.form-field-data{
  min-height: 1.6rem;
}



*/
/********************************** EISSORTEN-AUSWAHL ***************************************/
section #flavorSelection{
  padding: 10%;
}

#flavorSelection a , #flavorSelection a:visited{
  color: #50596c;
  text-decoration: underline;
  text-decoration-color: #BED8E9 !important;
}
#flavorSelection a:hover{
  color: #BED8E9;
}

.edit-list{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 0.8rem;
  margin-bottom: 3vH;
  margin-top: 4vH;
}

    .item {
      display: inline-block;
      background-color: #FAF7F7;
      color: #000;
      border-radius: 4rem;
      padding: 0.5em 1.3em 0.4em 1.3em;
      border: 2px solid #BED8E9;
      transition: border 0.3s;
      font-size: 1rem;
      cursor: pointer;
      user-select: none;     /* optional: avoid accidental text selection */
      touch-action: manipulation; /* speeds up touch input */
    }

    .item.active {
      background-color: #BED8E9;
      color: #000;
    }



@media (min-width: 850px) {
  .edit-list {
    display: grid;
     grid-auto-flow: row;
     grid-template-columns: max-content max-content;
     column-gap: 7rem;
     row-gap: 0.8rem;
     justify-content: start;
 }
 .item{
   justify-self: start;
 }
}
    @media (hover: hover) and (pointer: fine) {
      /* Only for devices that support hover, like a mouse */
      .item:hover{
        border-color: #5B7B7A;
      }

      .item.active:hover{
        border-color: #5B7B7A;
      }
    }


button#saveButton{
  background-color: #000;
  border: 2px solid #000;
  font-kerning: auto;
  letter-spacing: 0.05em;
  cursor: pointer;
  user-select: none;     /* optional: avoid accidental text selection */
  touch-action: manipulation; /* speeds up touch input */
  font-size: 0.85rem;
}

@media (hover: hover) and (pointer: fine) {
      button#saveButton:hover, button#saveButton:focus{
        background-color: #fff;
        color: #000;
      }
}

#save-message{
  display: none;
  margin-top: 0.5rem;
  font-size: 1.1rem;
  color: #000;
}

#save-message span{
  font-weight: 300;
  border: 0px solid transparent;
  padding: 0em 0.3em 0em 0.3em;
  border-bottom-width: 10px;
  height: 1em;
  border-image: url(border.png) 30 stretch;
}

#button-section{
  width: 100%;
  padding: 1.5% 3% 1.8% 3%;
  background: rgba(225,237,245,0.1);
  backdrop-filter: blur(4px);
  border: 2px solid rgba(225,237,245,0.9);
  border-radius: 3rem;
  position: fixed;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: wrap;
  gap: 3rem;
  width: 88%;
  margin: 1% 6%;
}


#grav-login .button-wrapper .form-data.rememberme{
  float: none;
  font-size: 0.8rem;

}
#grav-login .form-field{
  width: 100%;
  margin: 0;
  height: auto;
}

#grav-login .button-wrapper{
  text-align: left;
  display: flex;
  flex-direction: column;

}
#grav-login .btn{
  width: fit-content;
  margin-top: 0.7rem;
}

#grav-login a.btn{
  font-size: 0.6rem;
  height: auto;
  background: #e1e1e1;
  border: none;
  color: #000;
  margin-top: 1rem;
}

#messages{
  display: none;
}

/****************************** EISSORTEN SCREEN *****************************/
#start:has(#screen){
  overflow: visible;
}

#start:has(#screen-drinks){
  overflow: visible;
}

body:has(#screen) .cc-window{
  display: none;
}
#header-screen {
  display: flex;
  justify-content: center;
  padding: 3vH;
}

#header-screen img{
  height: 10vH;
}


#screen{
  width: 100%;
  height: 85vH;
  padding: 5%;
  padding-bottom: 2%;
  padding-top:0%;
  overflow: visible;
  display: flex;
  align-content: center;
  justify-content: center;
  flex-wrap: wrap;
}





#screen .eissorten-screen{
  display: flex;
  flex-wrap: wrap;
  gap: 1.9rem;
  max-width: 100%;
  max-height: 100%;
  justify-content: center;
  align-content: center;
  overflow: visible;
  font-size: 2.4rem;
}



.kronen-icon {
  position: absolute;
  top: -25px;
  right: -10px;
  width: 55px;
  height: auto;
  z-index: -1;
  pointer-events: none;
  transform: rotate(0.05turn);
}

.eissorte-wrap {
  position: relative;
  flex-shrink: 1;
  display: inline-block;
  width: auto;
  font-weight: 400;
  color: #000;
  white-space: nowrap;
  max-width: 100%;
}


#screen .eissorte{
  background-color: #FAF7F7;
  border: 2px solid #000;
  border-radius: 5rem;
  padding:  clamp(0.1rem, 0.2rem, 0.3rem) clamp(1rem, 1.4rem, 2rem);
  white-space: nowrap;
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: default;

  text-shadow:
    -2px -2px 4px rgba(255, 255, 255, 0.5),
     0   -2px 4px rgba(255, 255, 255, 0.5),
     2px -2px 4px rgba(255, 255, 255, 0.5),
     2px  0   4px rgba(255, 255, 255, 0.5),
     2px  2px 4px rgba(255, 255, 255, 0.5),
     0    2px 4px rgba(255, 255, 255, 0.5),
    -2px  2px 4px rgba(255, 255, 255, 0.5),
    -2  px  0   4px rgba(255, 255, 255, 0.5);
  -webkit-font-smoothing: antialiased;
  z-index: 5;
}

.eissorten-legende {
  margin-top: 1.2rem;
  display: flex;
  justify-content: center;
}

.legende-item {
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 1rem;
  color: #444;
  text-align: center;
}

.legende-item dt,
.legende-item dd {
  margin: 0;
}

.legende-icon {
  width: 1.8rem;
  height: auto;
  display: block;
}

body:has(#screen-drinks){
  background: repeating-linear-gradient(
  -45deg,
  #000,
  #000  2px,
  #fff 4px,
  #fff 17px
);
padding: 2%;
position: relative;
  
}

body:has(#screen-drinks) #header-screen{
  display: none;
}

#screen-drinks{
  background-color: #bdd3e9;
  background-image: url(http://localhost:8888/pallina-neu/de/screen-drinks/img/drinks-background.png);
  background-size: contain;
  background-position: left 0vW  bottom 0vH;
  background-repeat: no-repeat;
  color: #000;
  width: 100%;
  height: 94vH;
  padding: 5%;
  overflow: visible;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  gap: 6vW;
}



#screen-drinks h2{
  color: #fff;
  text-shadow: 2px 2px #CA5C4D;
  font-size: 2.4rem;
}

.granita-ragazzi{
  position: absolute;
  transform: translate(3vW, 2vH);
  bottom: 0;
  right:0;
  width: 28%;
  aspect-ratio: 1/1;
  border-radius: 50%;
  overflow: hidden;
  background-color: #ffec9b;

  display: flex; 
  align-items: center;
  align-content: center;
  justify-content: center;
  flex-wrap: wrap;
  text-align: center;
  gap: 2rem;
  color: #000;
}

.granita-ragazzi::before{
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(https://pallinagelato.de/start/img/pallina-gelato-frankfurt-granita-ragazzi.png);
  background-repeat: no-repeat;
  background-size: 120%;
  background-position: right -5vW  bottom -15vH;
  opacity: 0.65;
  z-index: -1;
}

.granita-logo{
  width: 60%;
}

.granita-text{
  width: 70%;
  font-weight: 200;
  font-size: 1.4rem;
}

.drink-list, .drink-list-free {
  list-style: none;
  width: 42%;
  margin: 0;
  padding: 0;
}

.drink-row {
  display: grid;
  grid-template-columns: auto 1fr 2rem;
  align-items: end;
  gap: 0rem;
  margin-bottom: 1rem;
  font-size: 1.9rem;
  font-weight: 400;
}

.drink-name {
  white-space: nowrap;
}

.drink-dots {
  border-bottom: 2px dotted #000;
  transform: translateY(-0.2em);
  margin: 0 0.3rem;
}

.drink-price {
  text-align: left;
  white-space: nowrap;
  font-variant-numeric: tabular-nums;
}

.drink-desc {
  grid-column: 1 / 3;
  font-weight: 300;
  font-size: 1.4rem;
}



.vegan-icon{
  height: 0.8em;
  width: 0.8em;
  position: relative;

  margin-left: 0.3em;
}

#olivetree{
  position: absolute;
  top: 0vH;
  right: 2%;
  width: 30vW;
  z-index: -1;
  opacity: 30%;
}

#vespa{
  position: absolute;
  bottom: 0vH;
  left: 0;
  height: 40vH;
  z-index: -1;
  opacity: 30%;
}

#background{
  position: absolute;
  top: -15vH;
  right: 0;
  width: 100vW;
  z-index: -1;
  opacity: 30%;
}

/********************************* RESPONSIVE *****************************/


@media screen and (min-width: 1600px) {
  #starter-bild-big{
    width: 50% !important;
  }
  #starter-bild-small{
    width: 22%;
  }
}

@media only screen and (max-width: 1400px){
  #starter-bild-big{
    width: 70%;
  }

  #starter-bild-small{
    width: 32%;
    top: -27vH;
  }
  .eis-3{
    right: 4rem;
    top: 0;
  }
}

/******************************************* 1200px ********************************************************/
@media only screen and (max-width: 1200px){
  section #starter, section #intro, section #contact,
   section #contact-intro, section #angebot, section #form, section #impressions, section #formdata{
    padding: 6%;
  }

  section #starter{
    padding-top: 5vH;
    margin-top: 80px;
    height: 85vH;
  }

  #start-text{
    width: 38%;
  }

  h1 span{
    height: 2.5rem;
  }

  .eis-3{
    top: 8rem;
  }

  #starter-bild{
    height: 100%;
    width: 57%;
  }

  #starter-bild-small{
    width: 27%;
    right: -8vW;
    top: -30vH;
    position:relative;
  }
  #intro-container{
    width: 72%;
  }
  #intro-image{
    width: 23%;
  }

  #intro-image .eis{
    width: 2rem;
    height: 2rem;
    position: relative;
    left: 65%;
    top:11vH;
  }
  #intro-image .eis-2{
    position: relative;
    left: 100%;
    top: 1vH;
    width: 4rem;
    height: 4rem;
  }

  #image-1{
    position: relative;
    right: -8vW;
    top: -5vH;
    width: 100%;
  }
  #image-2{
    width: 70%;
    position: relative;
    bottom: 5vH;
    left: 3vW;
  }

  #header{
  padding: 0.5rem 6% !important;
  }

  #impressions{
    flex-wrap: wrap;
    height: auto;
  }

  .impression-start{
    width: 45%;
  }

  #impressions-text-mobile{
    display: block;
    width: 50%;
  }

  #impressions-text-right{
    display: none;
  }

  #impressions-right{
    width: 100%;
    height: auto;
    margin-top: 6%;
  }
  #mz-gallery-container{
    height: calc(90vW * 0.4);
  }


  #footer{
    padding: 50px 6%;

  }


  h1{
  font-size: 1.5rem;


}



  h2{
    font-size: 1.2rem;
    line-height: 1.4em;
  }

}

@media only screen and (max-width: 1100px) {
  section #starter{
    flex-wrap: wrap;
    padding-top: 7vH !important;
    height: auto;
    min-height: 86vH;
  }

  #start-text{
    width: 80%;
    margin-bottom: 12vH;
  }
  h1{
    font-size: 1.8rem;
  }
  #starter-bild{
    width: 100%;
    height: auto;
    flex-wrap: wrap-reverse;
    justify-content: flex-end;
    padding-top: 0;
  }
  #starter-bild-small{
  width: 20%;
  position: absolute;
  right:59vW;
  top: -4vH;
  }
  #starter-bild-big{
    width: 55vW;
    left: 0;
    align-self: flex-start;
  }
  #circle-background{
    left: 12vW;
    top: 10vH;
    width: 40%;
  }
  .eis-2{
    width: 3.5rem;
    height: 3.5rem;
    top: 4vH;
    z-index: 999;
  }
  .eis-3{
    right: 2vW;
    top: -6vH;
    width: 1.2rem;
    height: 1.2rem;
  }
}

@media only screen and (max-width: 800px) and (orientation:landscape){
h1{
  font-size: 1.1rem;
  line-height: 1.4em;
}

h1 span{
  height: 1.6rem;
}
#starter{
  height: calc(100vH - 3rem) !important;
  margin-top: 3rem;
  padding-bottom: 4% !important;
}

#starter-bild{
  width: 45%;
  align-self: flex-end;
}
#starter-bild-small{
  top: -35vH;
  width: 35%;
  right: -8vW;
}
#circle-background{
top: 3vH;
}
.eis{
  width: 4rem;
  height: 4rem;
  bottom: -2rem;
}
#intro{
  padding-top: 20vH !important;
}
#intro-image{
  justify-content: flex-start;
}

#footer{
  flex-wrap: wrap;
}
.footer-info{
  width: 48%;
  margin-bottom: 3vH;
}
.adress-one{
  width: 100%;
}
}

@media only screen and (max-width: 900px) and (orientation:portrait){
  section #starter{
    flex-wrap: wrap;
    padding-top: 7vH;
    height: auto;
    min-height: 86vH;
  }

  #start-text{
    width: 80%;
    margin-bottom: 12vH;
  }
  #starter.starter-formdata{
    padding-top: 35vH;
  }
  .starter-formdata #start-text{
    width: 100%;
    padding: 10%;
    margin-bottom: 5vH;
  }
  h1{
    font-size: 1.8rem;
  }
  #starter-bild{
    width: 100%;
    height: auto;
    flex-wrap: wrap-reverse;
    justify-content: flex-end;
    padding-top: 0;
  }
  #starter-bild-small{
  width: 20%;
  position: absolute;
  right:59vW;
  top: -4vH;
  }
  #starter-bild-big{
    width: 55vW;
    left: 0;
    align-self: flex-start;
  }
  #circle-background{
    left: 12vW;
    top: 10vH;
    width: 40%;
  }
  .eis-2{
    width: 3.5rem;
    height: 3.5rem;
    top: 4vH;
    z-index: 999;
  }
  .eis-3{
    right: 2vW;
    top: -6vH;
    width: 1.2rem;
    height: 1.2rem;
  }



  section #intro, section #topseller, section #contact,
  section #philosophy, section #eisbecher, section #eissorten, section #contact-intro, section #qualities, #footer, section #forms, section #impressions {
      flex-wrap: wrap;
      margin-bottom: 100px;
  }
  section #intro{
    margin-bottom: 20px !important;
  }




  #contact-details{
    width: 100%;

  }
  .adress-one{
    width: 100%;
  }

  .form-field{
    width: 100%;
  }


  #mapFahrgasse, #mapNordend{
    width: 100%;

  }

  .footer-info{
    width: 48%;
    height: auto;
    margin-bottom: 0;
  }

  .footer-info:nth-of-type(1){
    margin-bottom: 50px;
  }

  section #footer, section #legal{
    margin-bottom: 0 !important;
  }

  #footer{
    padding: 50px 6% 0px 6%;
  }

  .eis{
    width: 4rem;

    height: 4rem;

    bottom: -1rem;

    right: -2rem;

  }

  #impressions{
    margin-top: 20vH;
    justify-content: flex-end;
  }

  .impression-start{
    width: 80%;
  }

  #impressions-text-mobile{
    width: 100%;
    margin-top: 5vH;
  }

  #mz-gallery-container{
    height: 49vH;
    left: 4vW;
    bottom: 0vH;
    padding: 0;
  }

  #mz-gallery{
    right: 4vW;
    height: 50vH;
    width: 90vW;
    top: 1vH;
  }

  #mz-gallery figure{
    height: 40vH;
    width: auto;
    max-width: fit-content;
  }
  #mz-gallery  figure img{
    height: 100%;
    width: auto;
    object-fit: contain;
  }

  section #flavorSelection{
    padding-bottom: 15%;
  }

  #button-section{
      border-radius: 2.5rem 2.5rem 0 0;
      padding: 2.5% 10% 4% 10%;
      gap: 2rem;
  }
}


@media only screen and (max-width: 800px) and (orientation:portrait){

  #header .navbar-section{
    height: auto;
    padding-top: 0.3rem;
    padding-bottom: 0.3rem;
    z-index: 10000000;
  }
  #header .logo img{
    height: 2rem;
  }

#starter{
  flex-wrap: wrap;
  padding-top: 10vH !important;
  min-height: 100vH !important;
  height: auto !important;
}

#start-text{
  width: 100%;
  margin-bottom: 10vH;
}
#starter-bild{
  width: 100%;
  height: auto;
  flex-wrap: wrap-reverse;
  justify-content: flex-end;
  padding-top: 5vH;
}
#starter-bild-small{
width: 30%;
position: absolute;
left: -10vW;
top: -5vH;
}
#starter-bild-big{
  width: 70vW;
  left: 0;
  align-self: flex-start;
}
#circle-background{
  left: 2vW;
  top: 27vH;
}
.eis-2{
  width: 3.5rem;
  height: 3.5rem;
  top: 4vH;
  z-index: 999;
}
.eis-3{
  right: 2vW;
  top: -6vH;
  width: 1.2rem;
  height: 1.2rem;
}

#intro-image {
  flex-direction: row;
  flex-wrap: wrap;
  padding-top: 5vH;
}


.angebot{
  width: 50%;
  left: -7%;
}
.angebot:nth-of-type(2), .angebot:nth-of-type(4){
  left: 0;
}




section #intro, section #topseller, section #contact,
section #philosophy, section #eisbecher, section #eissorten, section #contact-intro, section #qualities, #footer, section #forms, section #impressions {
    flex-wrap: wrap;
    margin-bottom: 100px;
}
section #intro{
  margin-bottom: 20px !important;
}



#contact-details{
  width: 100%;

}

.form-field{
  width: 100%;
}


#mapFahrgasse, #mapNordend{
  width: 100%;

}

.footer-info{
  width: 48%;
  height: auto;
  margin-bottom: 0;
}

.footer-info:nth-of-type(1){
  margin-bottom: 50px;
}

section #footer, section #legal{
  margin-bottom: 0 !important;
}

#footer{
  padding: 50px 6% 0px 6%;
}

.eis{
  width: 4rem;

  height: 4rem;

  bottom: -1rem;

  right: -2rem;

}

}


@media only screen and (max-width: 500px){


  h1{
    font-size: 1.5rem;
  }
  #flavorSelection h1{
    line-height: 1.3em;
  }

  #intro{
    padding-top: 10vH !important;
  }

  #intro-container{
    width: 100%;
  }

  #intro-image{
    width: 100%;
  }

  #intro-image .eis{
    width: 2rem;
    height: 2rem;
    position: relative;
    left: 65%;
    top:11vH;
    order: 4;
  }
  #intro-image .eis-2{
    position: relative;
    left: 100%;
    top: 1vH;
    width: 4rem;
    height: 4rem;
    order: 5;
  }

  #image-1{
    position: relative;
    right: -8vW;
    top: 0;
    width: 80%;
    align-self: flex-end;
    order: 2;
  }
  #image-2{
    width: 40%;
    position: relative;
    bottom: 8vH;
    left: 20%;
    order: 3;
  }

  .starter-bild{
    margin-bottom: 80px;
  }

  .footer-info{
    width: 100%;
    height: auto;
    margin-bottom: 0;
  }

  .footer-info:nth-of-type(1){
    margin-bottom: 50px;
  }

  #contact-1, #contact-2{
    width: 100%;
    margin-bottom: 50px;
  }

  section #flavorSelection{
    padding-bottom: 30%;
  }

  #button-section{
    padding: 4% 10% 8% 10%;
    gap: 1rem;
  }
}
